
Application: gvSIG desktop - gvSIG bugs #5165
Da error al abrir proyectos con capas ráster en él
11/25/2019 05:25 PM - Mario Carrera

Status: Outdated % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2930 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Creamos un proyecto en la 2.4 o 2.5 con una Vista y una capa en formato tiff. Guardamos el proyecto, y al abrirlo después con la 2.5
da error. Adjunto log al abrir el proyecto. Probado con proyectos diferentes, en Windows y Linux, con capas tiff y ecw diferentes.

Otra prueba realizada: Proyecto guardado en 2.5 con la misma capa, abierto en 2.4 después: Se abre bien.

Associated revisions
Revision 44642 - 12/13/2019 10:39 AM - Joaquín  del Cerro Murciano

refs #5165, prevencion de NullPointerException al determinar si habilitar la extension TimeSupportExtension. Fallaba cuando se habia producido un
error cargando alguna capa y esta tenia el store a null.

History
#1 - 11/26/2019 09:46 PM - Joaquín  del Cerro Murciano
- Target version set to 2.5.1-3002 (No instala)

#2 - 12/12/2019 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3002 (No instala) to 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)

#3 - 12/20/2019 08:48 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Outdated
- File test#5165.zip added

No lo he podido reproducir con un gvSIG desktop 2.5.1-3003. He probado con tif y jpg.
Adjunto el proyecto y los datos con los que lo he probado.

#4 - 12/23/2019 05:58 PM - Mario Carrera

Lo he probado con el ráster que has adjuntado y me ha dado error también al abrir el proyecto tras guardarlo. 
También he abierto el proyecto que has adjuntado tú y me carga el shp pero no el tiff.
#5 - 12/24/2019 02:24 PM - Joaquín  del Cerro Murciano

Mario Carrera wrote:

Lo he probado con el ráster que has adjuntado y me ha dado error también al abrir el proyecto tras guardarlo. 
También he abierto el proyecto que has adjuntado tú y me carga el shp pero no el tiff.

Ya esta el build 3003.
Lo he instaldo en linux 64bits, y cargo sin problemas el proyecto que cree el otro dia con las dos capas.

Files
abrir-proyecto-en-2_5.log 494 KB 11/25/2019 Mario Carrera
test#5165.zip 6.96 MB 12/20/2019 Joaquín  del Cerro Murciano
